## dzl-box-theatric dzl-box-theatric |

## Properties

gdouble | alpha | Read / Write
gchar * | background | Read / Write
gint | height | Read / Write
GIcon * | icon | Read / Write
gpointer | surface | Write / Construct Only
GtkWidget * | target | Read / Write / Construct Only
gint | width | Read / Write
gint | x | Read / Write
gint | y | Read / Write

## Types and Values

#define | DZL_TYPE_BOX_THEATRIC
| DzlBoxTheatric

## Object Hierarchy

        GObject
        ╰── DzlBoxTheatric

## Description

## Functions

## Types and Values

### DZL_TYPE_BOX_THEATRIC

    #define DZL_TYPE_BOX_THEATRIC (dzl_box_theatric_get_type())

### DzlBoxTheatric

    typedef struct _DzlBoxTheatric DzlBoxTheatric;

## Property Details

### The `“alpha”` property

      “alpha”                    gdouble

Alpha.

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“background”` property

      “background”               gchar *

background.

Flags: Read / Write

Default value: "#000000"

### The `“height”` property

      “height”                   gint

height.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“icon”` property

      “icon”                     GIcon *

The GIcon to render over the background.

Flags: Read / Write

### The `“surface”` property

      “surface”                  gpointer

Surface.

Flags: Write / Construct Only

### The `“target”` property

      “target”                   GtkWidget *

Target.

Flags: Read / Write / Construct Only

### The `“width”` property

      “width”                    gint

width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x”` property

      “x”                        gint

x.

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        gint

y.

Flags: Read / Write

Default value: 0